## rock-master-19.06-external-gexf 0.20190705

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
find_package(Rock)
rock_init(libgexf 1.2)
set(PROJECT_DESCRIPTION "Library for handling gexf file format")

set(SOURCES
    abstractparser.cpp
    attributeiter.cpp
    attvalueiter.cpp
    conv.cpp
    data.cpp
    directedgraph.cpp
    dynamicgraph.cpp
    edgeiter.cpp
    filereader.cpp
    filewriter.cpp
    gexf.cpp
    gexfparser.cpp
    graph.cpp
    legacyparser.cpp
    legacywriter.cpp
    memoryvalidator.cpp
    metadata.cpp
    nodeiter.cpp
    rngvalidator.cpp
    schemavalidator.cpp
    undirectedgraph.cpp
)

set(HEADERS
    abstractiter.h
    abstractparser.h
    attributeiter.h
    attvalueiter.h
    conv.h
    data.h
    directedgraph.h
    dynamicgraph.h
    edgeiter.h
    exceptions.h
    filereader.h
    filewriter.h
    gexf.h
    gexfparser.h
    graph.h
    legacyparser.h
    legacywriter.h
    libgexf.h
    memoryvalidator.h
    metadata.h
    nodeiter.h
    rngvalidator.h
    schemavalidator.h
    typedefs.h
    undirectedgraph.h
)

rock_library(gexf 
    SOURCES ${SOURCES}
    HEADERS ${HEADERS}
    DEPS_PKGCONFIG libxml-2.0
    NOINSTALL)

rock_install_headers(${HEADERS})

set(TARGET_NAME ${PROJECT_NAME})
rock_prepare_pkgconfig(${TARGET_NAME} ON)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libgexf.so
    DESTINATION lib/
)
