=== debian/changelog ===
rock-master-19.06-external-gexf (0.20190705-1~bionic) unstable; urgency=low

  * Package automatically built using 'apaka'
  * url: https://launchpad.net/libgexf/unstable/0.1.2/+download/libgexf-src-0.1.2.tar.gz
  * filename: libgexf-src-0.1.2.tar.gz

 -- Packaging Daemon <rock-dev@dfki.de>  Fri, 05 Jul 2019 12:13:49 +0200
