=== debian/control ===
Source: rock-master-19.06-external-gexf
Section: science
Priority: extra
Maintainer: Rock Packaging Daemon <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, build-essential, cmake, libxml2-dev, rock-master-19.06-base-cmake
Standards-Version: 3.9.2
Homepage: http://rock-robotics.org
#Vcs-Git: git://git.debian.org/collab-maint/bla.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/bla.git;a=summary

Package: rock-master-19.06-external-gexf
Architecture: any
Depends: ${shlibs:Depends}, rock-master-19.06-base-cmake, cmake, build-essential, libxml2-dev
Description: Graph Exchange XML Format
 GEXF (Graph Exchange XML Format) is a language for describing complex networks structures, their
  associated data and dynamics. Started in 2007 at Gephi project by different actors, deeply involved
  in graph exchange issues, the gexf specifications are mature enough to claim being both extensible
  and open, and suitable for real specific applications.
